Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/DoInstallStep.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/DoInstallStep.java	(revision 3299)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/commands/DoInstallStep.java	(revision 3300)
@@ -59,7 +59,7 @@
 		}
 		
 		File macroDirectory = new File(Toolbox.getTxmHomePath(), "scripts/groovy/user/org/txm/macro/analec"); //$NON-NLS-1$
-		if (!BundleUtils.copyFiles("org.txm.annotation.urs.rcp", "src", "org/txm/macro/", "urs", macroDirectory)) { //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+		if (!BundleUtils.copyFiles("org.txm.annotation.urs.rcp", "src", "org/txm/macro/", "urs", macroDirectory, true)) { //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			System.out.println(NLS.bind(Messages.DoInstallStep_17, macroDirectory.getAbsolutePath()));
 			return;
 		}
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/InstallURSFiles.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/InstallURSFiles.java	(revision 3299)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/InstallURSFiles.java	(revision 3300)
@@ -59,7 +59,7 @@
 		}
 
 		String bundle_id = "org.txm.annotation.urs.rcp";
-		BundleUtils.copyFiles(bundle_id, "src/", "org/txm/macro", "urs", macroDirectory);
+		BundleUtils.copyFiles(bundle_id, "src/", "org/txm/macro", "urs", macroDirectory, true);
 
 		// saving current version
 //		URSPreferences.getInstance().put(URSPreferences.VERSION, currentVersion.toString());
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/search/URSSearchEngine.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/search/URSSearchEngine.java	(revision 3299)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/search/URSSearchEngine.java	(revision 3300)
@@ -104,7 +104,7 @@
 	static ArrayList<Element> findAllInCorpus(int debug, Corpus analecCorpus, CorpusBuild corpus, String URSQL) {
 		String[] params = getFilterParameters(URSQL);
 		if (debug >= 2) Log.finer("PARAMS=$params");
-		return findAllInCorpus(debug, analecCorpus, corpus, params[0], params[1], params[2], Boolean.parseBoolean(params[3]), params[4]);
+		return findAllInCorpus(debug, analecCorpus, corpus, params[0], params[1], params[3], Boolean.parseBoolean(params[2]), params[4]);
 	}
 	
 	static ArrayList<Element> findAllInCorpus(int debug, Corpus analecCorpus, CorpusBuild corpus, String clazzString, String typeRegex, String propName, boolean valueMustMatch, String valueRegex) {
Index: TXM/trunk/org.txm.tigersearch.rcp/groovy/org/txm/macro/ud/UD2TigerXMLMacro.groovy
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/groovy/org/txm/macro/ud/UD2TigerXMLMacro.groovy	(revision 3299)
+++ TXM/trunk/org.txm.tigersearch.rcp/groovy/org/txm/macro/ud/UD2TigerXMLMacro.groovy	(revision 3300)
@@ -48,7 +48,7 @@
 // for Profiterole project (2019-2021)
 
 // 2019-09-25
-// - updated default column numbers for CONNL-U SRCMF format
+// - updated default column numbers for CONLL-U SRCMF format
 // - added processing for comment lines
 // - added @textid to terminal nodes
 // - deleted ppos, pmor et plemma (predicted tags and lemmas)
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java	(revision 3299)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java	(revision 3300)
@@ -1,6 +1,7 @@
 package org.txm.test;
 
 import java.io.File;
+import java.util.ArrayList;
 import java.util.Arrays;
 
 import org.txm.searchengine.ts.TSCorpus;
@@ -32,7 +33,7 @@
 
 			TSResult result = corpus.query(query);
 
-			result.setDisplayProperties(Arrays.asList("word", "pos", "form"), "type");
+			result.setDisplayProperties(new ArrayList<>(Arrays.asList("word", "pos", "form")), "type");
 
 			TSMatch first = result.getFirst();
 			System.out.println("First: nb of sub graph: "+first.getNumberOfSubGraph());
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/InstallGroovyTIGERFiles.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/InstallGroovyTIGERFiles.java	(revision 3299)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/rcp/InstallGroovyTIGERFiles.java	(revision 3300)
@@ -41,11 +41,10 @@
 		
 		scriptsPackageDirectory.mkdirs();
 		scriptsPackageDirectory2.mkdirs();
-		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/scripts/importer", "", scriptsPackageDirectory);
-		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/scripts/importer", "", scriptsPackageDirectory2);
+		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/scripts/importer", "", scriptsPackageDirectory, true);
+		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/scripts/importer", "", scriptsPackageDirectory2, true);
 		
 		// MACROS
-		
 		scriptsPackageDirectory = new File(userDirectory, "org/txm/macro/tiger");
 		scriptsPackageDirectory2 = new File(systemDirectory, "org/txm/macro/tiger");
 		
@@ -58,8 +57,8 @@
 		
 		scriptsPackageDirectory.mkdirs();
 		scriptsPackageDirectory2.mkdirs();
-		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/macro/tiger", "", scriptsPackageDirectory);
-		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/macro/tiger", "", scriptsPackageDirectory2);
+		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/macro/tiger", "", scriptsPackageDirectory, true);
+		BundleUtils.copyFiles(bundle_id, "groovy", "org/txm/macro/tiger", "", scriptsPackageDirectory2, true);
 		
 		return scriptsPackageDirectory.exists();
 	}
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERImportSectionConfigurator.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERImportSectionConfigurator.java	(revision 0)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERImportSectionConfigurator.java	(revision 3300)
@@ -0,0 +1,15 @@
+package org.txm.tigersearch.imports;
+
+
+import org.txm.rcp.editors.imports.ImportEditorSectionConfigurator;
+import org.txm.rcp.editors.imports.ImportModuleCustomization;
+
+
+public class TIGERImportSectionConfigurator extends ImportEditorSectionConfigurator {
+	
+	@Override
+	public void installSections() {
+		
+		ImportModuleCustomization.additionalSections.put("tigersearchLoader.groovy", TIGERSection.class);
+	}
+}

Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java	(revision 0)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/tigersearch/imports/TIGERSection.java	(revision 3300)
@@ -0,0 +1,99 @@
+package org.txm.tigersearch.imports;
+
+
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.ui.forms.events.ExpansionAdapter;
+import org.eclipse.ui.forms.events.ExpansionEvent;
+import org.eclipse.ui.forms.widgets.FormToolkit;
+import org.eclipse.ui.forms.widgets.ScrolledForm;
+import org.eclipse.ui.forms.widgets.TableWrapLayout;
+import org.osgi.service.prefs.Preferences;
+import org.txm.objects.Project;
+import org.txm.rcp.editors.imports.sections.ImportEditorSection;
+
+public class TIGERSection extends ImportEditorSection {
+	
+	String ID = TIGERSection.class.getSimpleName();
+	
+	private static final int SECTION_SIZE = 1;
+		
+	/**
+	 * 
+	 * @param toolkit2
+	 * @param form2
+	 * @param parent
+	 * @param stylesave
+	 * 
+	 * @param moduleParams
+	 * @param scriptName temporary parameter to detect if import module is xtzLoader.groovy
+	 */
+	public TIGERSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
+		
+		super(toolkit2, form2, parent, style, "TIGERSearch");
+		
+		TableWrapLayout layout = new TableWrapLayout();
+		layout.makeColumnsEqualWidth = true;
+		layout.numColumns = 1;
+		this.section.setLayout(layout);
+		this.section.setLayoutData(getSectionGridData(SECTION_SIZE));
+		this.section.setEnabled(false);
+		
+		this.section.addExpansionListener(new ExpansionAdapter() {
+			
+			@Override
+			public void expansionStateChanged(ExpansionEvent e) {
+				form.layout(true);
+			}
+		});
+		
+		// filesection.setDescription("Select how to find source files");
+		Composite sectionClient = toolkit.createComposite(this.section);
+		TableWrapLayout slayout = new TableWrapLayout();
+		slayout.numColumns = 4;
+		sectionClient.setLayout(slayout);
+		this.section.setClient(sectionClient);
+		
+//		headPropertiesText = toolkit.createText(sectionClient, "UD head properties to project (comma separated list)", SWT.CHECK);
+//		gdata2 = getButtonLayoutData();
+//		gdata2.colspan = 4; // one line
+//		headPropertiesText.setLayoutData(gdata2);
+//		
+//		// build text edition or not button
+//		depsPropertiesText = toolkit.createText(sectionClient, "UD deps properties to project (comma separated list)", SWT.CHECK);
+//		gdata2 = getButtonLayoutData();
+//		gdata2.colspan = 4; // one line
+//		depsPropertiesText.setLayoutData(gdata2);
+	}
+	
+	@Override
+	public void updateFields(Project project) {
+		if (this.section.isDisposed()) return;
+		if (project == null) return;
+		
+		Preferences customNode = project.getImportParameters().node("tigersearch");
+//		createPagesForSectionsButton.setSelection(customNode.getBoolean("create_section_pages", true)); //$NON-NLS-1$
+//		indexTranscriberMetadataButton.setSelection(customNode.getBoolean("ignoreTranscriberMetadata", true)); //$NON-NLS-1$
+	}
+	
+	@Override
+	public boolean saveFields(Project project) {
+		if (this.section != null && !this.section.isDisposed()) {
+			
+			Preferences customNode = project.getImportParameters().node("tigersearch");
+//			customNode.putBoolean("create_section_pages", createPagesForSectionsButton.getSelection()); //$NON-NLS-1$
+//			customNode.putBoolean("ignoreTranscriberMetadata", indexTranscriberMetadataButton.getSelection()); //$NON-NLS-1$
+		}
+		return true;
+	}
+	
+	@Override
+	public boolean checkFields() {
+		return true;
+	}
+	
+	@Override
+	public int getSectionSize() {
+		return SECTION_SIZE;
+	}
+}

Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3299)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3300)
@@ -2,6 +2,7 @@
 
 import java.io.File;
 import java.nio.MappedByteBuffer;
+import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.List;
 
@@ -97,7 +98,7 @@
 		
 		if (tsresult.getNumberOfMatch() == 0) return false;
 		
-		tsresult.setDisplayProperties(Arrays.asList(T), NT);
+		tsresult.setDisplayProperties(new ArrayList<>(Arrays.asList(T)), NT);
 		
 		try {
 			// iterate to the sub th subgraph
@@ -117,12 +118,14 @@
 	}
 	
 	public String[] getAvailableTProperties() {
+		
 		if (tscorpus == null) return new String[0];
 		List<String> tFeatures = tscorpus.getTFeatures();
 		return tFeatures.toArray(new String[tFeatures.size()]);
 	}
 	
 	public String[] getAvailableNTProperties() {
+		
 		if (tscorpus == null) return new String[0];
 		List<String> ntFeatures = tscorpus.getNTFeatures();
 		return ntFeatures.toArray(new String[ntFeatures.size()]);
@@ -319,4 +322,10 @@
 		
 		return textAndWord;
 	}
+
+	@Override
+	public String getIconPath() {
+		
+		return "platform:/plugin/org.txm.tigersearch.rcp/icons/functions/TS.png";
+	}
 }
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java	(revision 3299)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java	(revision 3300)
@@ -186,7 +186,7 @@
 		return matches[matchNo];
 	}
 	
-	public void setDisplayProperties(List<String> tprops, String feature) {
+	public void setDisplayProperties(ArrayList<String> tprops, String feature) {
 		tsCorpus.setDisplayProperties(this.header, tprops, feature);
 	}
 	
